/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef WORLDMODELGRID3DG_PRINT_H
#define WORLDMODELGRID3DG_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/pomTclservClientEncode.h"


#include "server/worldModelGrid3DGPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_WORLDMODELGRID3DG_GRIDTHREEDMAP_POSTER_STR ( buf_t buf, struct WORLDMODELGRID3DG_GRIDTHREEDMAP_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_worldModelGrid3DG_STR ( buf_t buf, struct worldModelGrid3DG_STR *x, int nDim, int *dims);
void buf_add_struct_WORLD_MODEL_GRID3D_POSTER_NAME ( buf_t buf, struct WORLD_MODEL_GRID3D_POSTER_NAME *x, int nDim, int *dims);
void buf_add_struct_exportSetting ( buf_t buf, struct exportSetting *x, int nDim, int *dims);
void buf_add_struct_fileNameAddress ( buf_t buf, struct fileNameAddress *x, int nDim, int *dims);
void buf_add_struct_map3D ( buf_t buf, struct map3D *x, int nDim, int *dims);
void buf_add_struct_vec3 ( buf_t buf, struct vec3 *x, int nDim, int *dims);
void buf_add_struct_imageRange ( buf_t buf, struct imageRange *x, int nDim, int *dims);
void buf_add_struct_pos ( buf_t buf, struct pos *x, int nDim, int *dims);
void buf_add_struct_boxArea ( buf_t buf, struct boxArea *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_boxArea ( buf_t buf, boxArea *x, int nDim, int *dims);
void buf_add_pos ( buf_t buf, pos *x, int nDim, int *dims);
void buf_add_imageRange ( buf_t buf, imageRange *x, int nDim, int *dims);
void buf_add_vec3 ( buf_t buf, vec3 *x, int nDim, int *dims);
void buf_add_map3D ( buf_t buf, map3D *x, int nDim, int *dims);
void buf_add_fileNameAddress ( buf_t buf, fileNameAddress *x, int nDim, int *dims);
void buf_add_exportSetting ( buf_t buf, exportSetting *x, int nDim, int *dims);
void buf_add_WORLD_MODEL_GRID3D_POSTER_NAME ( buf_t buf, WORLD_MODEL_GRID3D_POSTER_NAME *x, int nDim, int *dims);
void buf_add_worldModelGrid3DG_STR ( buf_t buf, worldModelGrid3DG_STR *x, int nDim, int *dims);
void buf_add_WORLDMODELGRID3DG_GRIDTHREEDMAP_POSTER_STR ( buf_t buf, WORLDMODELGRID3DG_GRIDTHREEDMAP_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* WORLDMODELGRID3DG_TCLSERV_CLIENT_ENCODE_H */

